Subject: [MIB-DOCTORS] A single OID versus multiple OIDs for EMAN MIBs

From: Thomas Nadeau <[email-masked]>
Date: Mon, 13 Jan 2014 10:12:28 -0500

Speaking as a MIB Doctor and EMAN co-chair, I want to call consensus so that we could close on this issue and so that the MIBs in question can be progressed as well as give direct to any future EMAN MIBs.  The consensus was that we would use the recommendations from RFC2578 instead of falling under a single "eman MIB root" OID. To this end, I am directing the various MIB editors to please restructure their OID assignments accordingly by rooting under the IANA management tree.  

	This is the relevant text from RFC 4181 section 4.5 for reference.

    The value assigned to the MODULE-IDENTITY descriptor MUST be unique
    and (for IETF standards-track MIB modules) SHOULD reside under the
    mgmt subtree [RFC2578].  Most often it will be an IANA-assigned
    value directly under mib-2 [RFC2578], although for media-specific
    MIB modules that extend the IF-MIB [RFC2863] it is customary to use
    an IANA-assigned value under transmission [RFC2578].  In the past,
    some IETF working groups have made their own assignments from
    subtrees delegated to them by IANA, but that practice has proven
    problematic and is NOT RECOMMENDED.

	Thanks,

	--Tom